# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.spreadsheet
Class RecordQuery

    java.lang.Object
      com.google.gdata.client.Query
          com.google.gdata.client.spreadsheet.RecordQuery

    public class RecordQuery

extends Query

Describes a query for the feed of a table's records.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.client.Query
`Query.CategoryFilter, Query.CustomParameter, Query.ResultFormat`

Field Summary

Fields inherited from class com.google.gdata.client.Query
`UNDEFINED`

Constructor Summary
`RecordQuery(java.net.URL feedUrl)` Constructs a new query object that targets a feed.

Method Summary
`java.lang.String` `getOrderBy()` Returns the what column to use in ordering the entries in the feed.
`java.lang.Boolean` `getReverse()` Returns the whether to sort in descending or ascending order.
`java.lang.String` `getSpreadsheetQuery()` Returns the structured query on the full text in the worksheet.
`void` `setOrderBy(java.lang.String orderBy)` Sets the what column to use in ordering the entries in the feed.
`void` `setReverse(java.lang.Boolean reverse)` Sets the whether to sort in descending or ascending order.
`void` `setSpreadsheetQuery(java.lang.String spreadsheetQuery)` Sets the structured query on the full text in the worksheet.

Methods inherited from class com.google.gdata.client.Query

`addCategoryFilter, addCustomParameter, appendQueryParameter, getAuthor, getCategoryFilters, getCustomParameters, getCustomParameters, getFeedUrl, getFields, getFullTextQuery, getIntegerCustomParameter, getMaxResults, getPublishedMax, getPublishedMin, getQueryUri, getResultFormat, getStartIndex, getStringCustomParameter, getUpdatedMax, getUpdatedMin, getUrl, isStrict, isValidState, setAuthor, setFields, setFullTextQuery, setIntegerCustomParameter, setMaxResults, setPublishedMax, setPublishedMin, setResultFormat, setStartIndex, setStrict, setStringCustomParameter, setUpdatedMax, setUpdatedMin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordQuery

    public RecordQuery(java.net.URL feedUrl)

  Constructs a new query object that targets a feed. The initial state of the query contains no parameters, meaning all entries in the feed would be returned if the query was executed immediately after construction.

  Parameters:
    `feedUrl` - the URL of the feed against which queries will be executed.

Method Detail

### getOrderBy

    public java.lang.String getOrderBy()

  Returns the what column to use in ordering the entries in the feed.

  Returns:
    what column to use in ordering the entries in the feed or `null` to indicate that the parameter is not set.

### setOrderBy

    public void setOrderBy(java.lang.String orderBy)

  Sets the what column to use in ordering the entries in the feed.

  Parameters:
    `orderBy` - what column to use in ordering the entries in the feed or `null` to remove this parameter if set.

### getReverse

    public java.lang.Boolean getReverse()

  Returns the whether to sort in descending or ascending order.

  Returns:
    whether to sort in descending or ascending order.

### setReverse

    public void setReverse(java.lang.Boolean reverse)

  Sets the whether to sort in descending or ascending order.

  Parameters:
    `reverse` - whether to sort in descending or ascending order or `null` to reset this parameter to default value `false`.

### getSpreadsheetQuery

    public java.lang.String getSpreadsheetQuery()

  Returns the structured query on the full text in the worksheet.

  Returns:
    structured query on the full text in the worksheet or `null` to indicate that the parameter is not set.

### setSpreadsheetQuery

    public void setSpreadsheetQuery(java.lang.String spreadsheetQuery)

  Sets the structured query on the full text in the worksheet.

  Parameters:
    `spreadsheetQuery` - structured query on the full text in the worksheet or `null` to remove this parameter if set.